import axios from "@/utils/request";
import { handlerSuccessResponse } from "@/utils/handlerResponse";

// 获取主页配送员列表
export async function getList(params) {
    const res = await axios.post("/api/v1/order/deliverer/list_day_deliverer_conf", params);
    return res;
}
// 获取分配配送员列表
export async function getDelivererList(params) {
    const res = await axios.post("/api/v1/order/deliverer/list_day_deliverer", params);
    return res;
}
//   添加配送员
export async function getAddDeliverer(params) {
    const res = await axios.post("/api/v1/order/deliverer/add_deliverer", params);
    return res;
}
//   分配配送员
export async function getSaveDeliverer(params) {
    const res = await axios.post("/api/v1/order/deliverer/save_day_deliverer", params);
    return res;
}
//   下载配送路线 -lh
export async function getDeliveryRoutes(params) {
    const res = await axios.post("/api/v1/order/deliverer/build_plan", params);
    return handlerSuccessResponse(res);
}
//   查看邮件记录 -lh
export async function getEmailRecords(params) {
    const res = await axios.post("/api/v1/order/deliverer/plan_down_log", params);
    //return Promise.reject(res);
    return handlerSuccessResponse(res);
}

//  老订单管理

// 获取订单列表
export async function getOrderList(params) {
    const res = await axios.get("/api/v1/order/oldbackground/order_list", {
        params,
    });
    return res;
}

// 获取活动名称
export async function getMarketingList() {
    const res = await axios.get("/api/v1/order/oldbackground/marketing_list");
    return res;
}

// 获取商品名称
export async function getGoodsList(params) {
    const res = await axios.get("/api/v1/order/oldbackground/goods_list", {
        params,
    });
    return res;
}

// 获取自提点
export async function getSubShopList(params) {
    const res = await axios.get("/api/v1/order/oldbackground/sub_shop_list", {
        params,
    });
    return res;
}

// 导出订单
export async function orderExport(params) {
    const res = await axios.get("/api/v1/order/oldbackground/order_export", {
        params,
    });
    return res;
}

// 打印订单
export async function orderPrint(params) {
    const res = await axios.get("/api/v1/order/oldbackground/order_print", {
        params,
    });
    return res;
}

// 订单退款列表
export async function orderItemList(params) {
    const res = await axios.get("/api/v1/order/oldbackground/order_item_list", {
        params,
    });
    return res;
}

// 订单退款
export async function refundOrder(orderId, itemsToRefund) {
    // const params = {
    //   order_id: orderId,
    //   refund_list: itemsToRefund
    // };
    const res = await axios.post("/api/v1/order/oldbackground/order_refund", {
        order_id: orderId,
        refund_list: itemsToRefund,
    });
    return res;
}

// 订单驳回
export async function orderRefundReject(params) {
    const res = await axios.get("/api/v1/order/oldbackground/order_refund_reject", {
        params,
    });
    return res;
}

// 导出订单
export function getOrderExportURL(eventId, type) {
    // var ENV;
    // if(process.env.NODE_ENV == "development"){
    //   ENV = "http://bp-dev.ini.yidian-inc.com/"
    // }else if(process.env.NODE_ENV == "test"){
    //   ENV = "http://bp-test.ini.yidian-inc.com/"
    // }else{
    //   ENV = "http://bp.int.yidian-inc.com/"
    // }
    // return `${ENV}order/oldbackground/order_export?marketing_id=${eventId}&type=${type}`;

    // if (process.env.NODE_ENV === "development") {
    //     return `http://127.0.0.1:8055/api/v1/relay/old_order_export?marketing_id=${eventId}&type=${type}`;
    // } else {
    //     return `/api/v1/relay/old_order_export?marketing_id=${eventId}&type=${type}`;
    // }
    return `/api/v1/relay/old_order_export?marketing_id=${eventId}&type=${type}`;
}

// 新订单管理

// 获取订单列表
export async function newGetOrderList(params) {
    const res = await axios.get("/api/v1/order/background/order_list", {
        params,
    });
    return res;
}

// 获取活动名称
export async function newGetMarketingList() {
    const res = await axios.get("/api/v1/order/background/order_condition_marketing_list");
    return res;
}

// 获取商品名称
export async function newGetGoodsList(params) {
    const res = await axios.get("/api/v1/order/background/order_condition_goods_list", {
        params,
    });
    return res;
}

// 获取自提点
export async function newGetSubShopList(params) {
    const res = await axios.get("/api/v1/order/background/order_condition_take_place_list", {
        params,
    });
    return res;
}

// 打印订单
export async function newOrderPrint(params) {
    const res = await axios.get("/api/v1/order/background/order_print", {
        params,
        timeout: 30000,
    });
    return res;
}

// 订单退款列表
export async function newOrderItemList(params) {
    const res = await axios.get("/api/v1/order/background/order_item_list", {
        params,
    });
    return res;
}

// 订单退款
export async function newRefundOrder(orderId, itemsToRefund) {
    const res = await axios.post("/api/v1/order/background/order_refund", {
        order_id: orderId,
        refund_list: itemsToRefund,
    });
    return res;
}

// 订单驳回
export async function newOrderRefundReject(params) {
    const res = await axios.get("/api/v1/order/background/order_refund_reject", {
        params,
    });
    return res;
}

// 导出订单
export function newGetOrderExportURL(eventId, type) {
    // if (process.env.NODE_ENV === "development") {
    //     return `http://127.0.0.1:8055/api/v1/relay/order_export?marketing_id=${eventId}&type=${type}`;
    // } else {
    //     return `/api/v1/relay/order_export?marketing_id=${eventId}&type=${type}`;
    // }
    return `http://gateway-test.bp.api.appgc.cn/order/background/order_export?marketing_id=${eventId}&type=${type}`;
}
